function plot_randomsearch_results(lcol)

% This plots results of the random search algorithm on the main figure. 
% Called by plot_main_figure.m. 

if nargin < 1; lcol = [0.4 0.7 0.4]; end

load current_results_H1

[results.sortM,results.sorti] = sort(results.Ms);

numplot = 20;

axes(findobj('tag','ax1l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H1'); hold on;
end

axes(findobj('tag','ax1m'));
for a = 1:numplot
    xx = results.plot_N14s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H1'); hold on;
end

axes(findobj('tag','ax1r'));
for a = 1:numplot
    xx = results.times(results.sorti(a),:);
    yy = results.surface_elvs(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H1'); hold on;
end

%% 

load current_results_H4

[results.sortM,results.sorti] = sort(results.Ms);

numplot = 20;

axes(findobj('tag','ax4l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H4'); hold on;
end

axes(findobj('tag','ax4m'));
for a = 1:numplot
    xx = results.plot_N14s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H4'); hold on;
end

axes(findobj('tag','ax4r'));
for a = 1:numplot
    xx = results.times(results.sorti(a),:);
    yy = results.surface_elvs(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H4'); hold on;
end

%% 

load current_results_H5

[results.sortM,results.sorti] = sort(results.Ms);

numplot = 20;

axes(findobj('tag','ax5l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H5'); hold on; 
end

axes(findobj('tag','ax5m'));
for a = 1:numplot
    xx = results.plot_N14s(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H5'); hold on;
end

axes(findobj('tag','ax5r'));
for a = 1:numplot
    xx = results.times(results.sorti(a),:);
    yy = results.surface_elvs(results.sorti(a),:);
    plot(xx,yy,'-','color',lcol,'tag','results_H5'); hold on;
end



